{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "_layout.html.twig" %}
{% block title %}Nouvelle discussion{% endblock %}
{% set _breadcrumb = ['Aide', ['Centre de support', 'support.index'], 'Nouvelle discussion'] %}
{% form_theme form '@DatatourismeWebApp/Form/bootstrap_3_layout.html.twig' %}

{% block content %}
    <section class="content-header">
        <a href="{{ path('support.index') }}" class="btn btn-white btn-sm pull-right"><span class="fa fa-chevron-left"></span> &nbsp;Revenir au centre de support</a>
        <h1>Nouvelle discussion</h1>
    </section>

    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <ul class="timeline timeline-support">
                    <li id="last">
                        <i class="fa fa-info bg-blue"></i>
                        <div class="timeline-item">
                            <h3 class="timeline-header"><b>Prenez le temps de lire ceci avant de contacter le support</b></h3>
                            <div class="timeline-body">
                                <p class="m-b-0">Avant de créer une nouvelle discussion, vous pouvez regarder dans l'Aide et
                                   sa <a href="{{ path('faq.index') }}">Foire Aux Questions</a> pour voir si vous ne trouvez pas directement la réponse attendue.</p>
                            </div>
                        </div>
                    </li>
                    <li class="time-label">
                      <span class="bg-gray">
                        {{ 'now' | localizeddate('medium', 'none', app.request.locale) }}
                      </span>
                    </li>
                    <li>
                        <i class="fa fa-commenting-o bg-gray"></i>
                        <div class="timeline-item">
                            <h3 class="timeline-header"><strong class="text-muted">Créer une nouvelle discussion</strong></h3>
                            <div class="timeline-body">
                                {{ form_start(form) }}
                                    {% if is_granted('support.select.thread.organization') %}
                                        {{ form_row(form.thread.organization) }}
                                    {% endif %}
                                    {{ form_errors(form) }}
                                    {{ form_row(form.thread.title) }}
                                    {{ form_row(form.content) }}
                                    {{ form_row(form.file) }}
                                    <input type="submit" class="btn btn-primary" value="Envoyer">
                                {{ form_end(form) }}
                            </div>
                        </div>
                    </li>

                </ul>

            </div>
        </div>
    </section>
{% endblock %}